Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.exception.util
Class DummyLocalizable

    java.lang.Object
      org.apache.commons.math.exception.util.DummyLocalizable

All Implemented Interfaces:
  Serializable, Localizable

    public class DummyLocalizable

extends Object
implements Localizable

Dummy implementation of the `Localizable` interface, without localization.

Since:
  2.2
Version:
  $Revision: 1003892 $ $Date: 2010-10-02 23:28:56 +0200 (sam. 02 oct. 2010) $
See Also:
  Serialized Form

Constructor Summary
`DummyLocalizable(String source)` Simple constructor.

Method Summary
`String` | `getLocalizedString(Locale locale)` Get the localized string.
`String` | `getSourceString()` Get the source (non-localized) string.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DummyLocalizable

    public DummyLocalizable(String source)

  Simple constructor.

  Parameters:
    `source` - source text

Method Detail

### getSourceString

    public String getSourceString()

  Get the source (non-localized) string.

  Specified by:
    `getSourceString` in interface `Localizable`
  Returns:
    source string

### getLocalizedString

    public String getLocalizedString(Locale locale)

  Get the localized string.

  Specified by:
    `getLocalizedString` in interface `Localizable`
  Parameters:
    `locale` - locale into which to get the string
  Returns:
    localized string or the source string if no localized version is available

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.